using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Controls;
using System.Windows;

namespace GridViewApp
{
    public class NotesButtonStyle : StyleSelector
    {
        public override Style SelectStyle(object item, DependencyObject container)
        {
            if (item is Product)
            {
                Product row = item as Product;
                if (row.HasNotes)
                    return HasNotes;
                else return NoNotes;
            }
            //if (item is OBJECTIVEALL)
            //{
            //    OBJECTIVEALL row = item as OBJECTIVEALL;

            //    if (row.ManagerNotes == null && row.EmployeeNotes == null)
            //        return NoNotes;
            //    else
            //        return HasNotes;


            //}
            return null;
        }

        public Style HasNotes { get; set; }
        public Style NoNotes { get; set; }
    }
}
